Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.dojo.views.velocity.components
Class DojoAbstractDirective

    java.lang.Object
      org.apache.velocity.runtime.directive.Directive
          org.apache.struts2.views.velocity.components.AbstractDirective
              org.apache.struts2.dojo.views.velocity.components.DojoAbstractDirective

All Implemented Interfaces:
  Cloneable, org.apache.velocity.runtime.directive.DirectiveConstants

Direct Known Subclasses:
  AnchorDirective, AutocompleterDirective, BindDirective, DateTimePickerDirective, DivDirective, HeadDirective, SubmitDirective, TabbedPanelDirective, TextAreaDirective, TreeDirective, TreeNodeDirective

    public abstract class DojoAbstractDirective

extends AbstractDirective

Overwrite name prefix

Field Summary

Fields inherited from class org.apache.velocity.runtime.directive.Directive
`rsvc`

Fields inherited from interface org.apache.velocity.runtime.directive.DirectiveConstants
`BLOCK, LINE`

Constructor Summary
`DojoAbstractDirective()`

Method Summary
`String` | `getName()`

Methods inherited from class org.apache.struts2.views.velocity.components.AbstractDirective
`createPropertyMap, getBean, getBeanName, getType, putProperty, render`

Methods inherited from class org.apache.velocity.runtime.directive.Directive
`getColumn, getLine, getTemplateName, init, setLocation, setLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DojoAbstractDirective

    public DojoAbstractDirective()

Method Detail

### getName

    public String getName()

  Overrides:
    `getName` in class `AbstractDirective`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.